/****
 * CIntelligentDecorator.h
 *
 *	This class makes the Decorator a little more intelligent.
 *
 *	Copyright  1993 Quipus, by Mrten Srliden.  All rights reserved.
 *
 ****/

#define _H_CIntelligentDecorator			/* Include this file only once */

#include <CDecorator.h>


struct CIntelligentDecorator : CDecorator {

/** Construction and destruction methods **/
	void		IIntelligentDecorator(void);
	void		Dispose(void);

/** Accessing methods **/
	short	GetWNum(void);

/** Window methods **/
	void		SetFirstLocation(void);
	void		PlaceNewWindow(CWindow *theWindow);
	void		StaggerWindow(CWindow *theWindow);
};
