/****
 * CIntelligentScrollPane.h
 *
 *	This class makes the ScrollPane a little more intelligent.
 *
 *	Copyright  1993 Quipus, by Mrten Srliden.  All rights reserved.
 *
 ****/

#define _H_CIntelligentScrollPane			/* Include this file only once */

#include <CScrollPane.h>


struct CIntelligentScrollPane : CScrollPane {

/** Construction and destruction methods **/
	void		IIntelligentScrollPane(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							Boolean hasHoriz, Boolean hasVert, Boolean hasSizeBox);
	void		Dispose(void);

/** Accessing methods **/
	void		GetPreferedFrame(LongRect *theFrame);

/** Scroll bar maintenance methods **/
	void		AdjustScrollMax(void);
};
